void printc(char val);
void printi(int val);

struct sample {
  char c0:4;
  char c1:4;
  char c2:4;
  char c3:4;
};

int main()
{
  struct sample s;

  printi(sizeof(struct sample));
  printi(sizeof(s));

  s.c0 = 1;
  s.c1 = 3;
  s.c2 = 8;
  s.c3 = 15;

  printc(s.c0);
  printc(s.c1);
  printc(s.c2);
  printc(s.c3);

  return 0;
}
